<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/estado_reclamo.php';
$response = array();

if (!isset($_POST['id_estado_reclamo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_estado_reclamo = $_POST['id_estado_reclamo'];

$estado_reclamo = EstadoReclamo::mdlGetEstadoReclamo($id_estado_reclamo);

if (!$estado_reclamo) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el estado de reclamo';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $estado_reclamo;

echo json_encode($response);
